Bug 207566 - [NEW PORT] x11-toolkits/openjfx8-devel: JavaFX (OpenJFX) SDK overlay for OpenJDK 8
Summary: [NEW PORT] x11-toolkits/openjfx8-devel: JavaFX (OpenJFX) SDK overlay for Open...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL: https://bitbucket.org/tobik/openjfx-rt
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-28 17:38 UTC by Tobias Kortkamp
Modified: 2016-03-20 23:14 UTC (History)
2 users (show)

See Also:


Attachments
openjfx8-devel.shar (8.43 KB, text/plain)
2016-02-28 17:38 UTC, Tobias Kortkamp
no flags Details
Poudriere testport log FreeBSD 10.2/i386 (139.04 KB, text/x-log)
2016-02-28 17:39 UTC, Tobias Kortkamp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2016-02-28 17:38:14 UTC
Created attachment 167523 [details]
openjfx8-devel.shar

OpenJFX is an open source, next generation client application platform
for desktop and embedded systems based on JavaSE.  It is a
collaborative effort by many individuals and companies with the goal
of producing a modern, efficient, and fully featured toolkit for
developing rich client applications.

WWW: http://openjdk.java.net/projects/openjfx/
Comment 1 Tobias Kortkamp freebsd_committer 2016-02-28 17:39:26 UTC
Created attachment 167525 [details]
Poudriere testport log FreeBSD 10.2/i386
Comment 2 Tobias Kortkamp freebsd_committer 2016-02-28 18:09:46 UTC
Added URL to OpenJFX fork
Comment 3 arksu 2016-03-06 13:12:44 UTC
works fine on my FreeBSD 10.2
Comment 4 commit-hook freebsd_committer 2016-03-20 23:07:13 UTC
A commit references this bug:

Author: swills
Date: Sun Mar 20 23:06:20 UTC 2016
New revision: 411524
URL: https://svnweb.freebsd.org/changeset/ports/411524

Log:
  java/openjfx8-devel: create port

  OpenJFX is an open source, next generation client application platform for
  desktop and embedded systems based on JavaSE. It is a collaborative effort by
  many individuals and companies with the goal of producing a modern, efficient,
  and fully featured toolkit for developing rich client applications.

  WWW: http://openjdk.java.net/projects/openjfx/

  PR:		207566
  Submitted by:	Tobias Kortkamp <t@tobik.me>

Changes:
  head/java/Makefile
  head/java/openjfx8-devel/
  head/java/openjfx8-devel/Makefile
  head/java/openjfx8-devel/distinfo
  head/java/openjfx8-devel/files/
  head/java/openjfx8-devel/files/patch-build.gradle
  head/java/openjfx8-devel/files/patch-buildSrc_build.gradle
  head/java/openjfx8-devel/pkg-descr
  head/java/openjfx8-devel/pkg-message
  head/java/openjfx8-devel/pkg-plist
Comment 5 Steve Wills freebsd_committer 2016-03-20 23:14:02 UTC
Committed with minor changes. Thanks!